.intro {
  grid-column: 1 / -1;
  background-color: #333;
  margin-bottom: calc(var(--diagonal-space) - var(--block-space) / 2);
}
.intro__background-image {
  width: 100%;
  object-fit: cover;
  object-position: center 35%;
  height: 52vh;
}
@media (min-width: 400px) {
  .intro__background-image {
    height: 68vh;
  }
}
.intro__content {
  position: relative;
  padding-top: var(--space-6);
  padding-bottom: var(--space-5);
}
.intro__headline {
  margin: 0;
  margin-bottom: var(--space-5);
  font-size: calc(0.5rem + 4vw);
}
@media (min-width: 900px) {
  .intro__headline {
    font-size: 2.4rem;
  }
}
@media (min-width: 900px) {
  .intro__headline {
    grid-column: 2 / -3;
  }
}
.intro__text {
  margin: 0;
  margin-bottom: var(--space-5);
  font-size: calc(0.5rem + 2vw);
  line-height: 1.5;
}
@media (min-width: 1000px) {
  .intro__text {
    grid-column: 2 / -2;
    font-size: 1.4rem;
  }
}
.intro__social-networks {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  justify-self: center;
  list-style: none;
  margin: 0;
  padding: 0;
  width: 100%;
  max-width: 320px;
}
@media (min-width: 600px) {
  .intro__social-networks {
    justify-self: flex-start;
  }
}
.intro__social-network {
  width: 24px;
  transition: transform 0.2s;
}
@media (min-width: 500px) {
  .intro__social-network {
    width: 32px;
  }
}
.intro__social-network:hover,
.intro__social-network:focus {
  transform: scale(1.2);
}
